;************************************************
;* LAB2.ASM                                     *
;************************************************
;* MCU201 Workshop                              *
;* Written by:  Rodger Richey                   *
;*              Principal Applications Engr.    *
;*              Microchip Technology Inc.       *
;* Date:        1 April 1999                    *
;* Revision:	1                               *
;************************************************
;* Write your first name to line 1 of the LCD.  *
;* Write your last name to line 2 of the LCD.   *
;************************************************

	list p = 16f877
	include <p16f877.inc>
	__CONFIG _BODEN_OFF&_CP_OFF&_WRT_ENABLE_ON&_PWRTE_ON&_WDT_OFF&_XT_OSC&_DEBUG_OFF&_CPD_OFF&_LVP_OFF

; Defines external functions
	extern	InitLCD
	extern	putcLCD
	extern	clrLCD
	extern	L1homeLCD
	extern	L2homeLCD

; Locates startup code @ the reset vector
STARTUP	code
	nop
	goto	Start

; Locates main code
PROG1	code
Start

;************************************************
;* Place your code here to do the following:    *
;*   - Initialize the LCD panel                 *
;*   - Clear the LCD panel                      *
;*   - Move the cursor to home position of      *
;*     line 1                                   *
;*   - Print your first name 1 character at     *
;*     a time                                   *
;*   - Move the cursor to home position of      *
;*     line 2                                   *
;*   - Print your last name 1 character at      *
;*     a time                                   *
;************************************************



;************************************************
;* End of your code                             *
;************************************************

	goto	$

	end
